<?php
 
 
 

namespace PhpWA\Protocol\Proto\BotPromotionMessageMetadata;

use UnexpectedValueException;




class BotPromotionType
{
    


    const UNKNOWN_TYPE = 0;
    


    const C50 = 1;
    


    const SURVEY_PLATFORM = 2;

    private static $valueToName = [
        self::UNKNOWN_TYPE => 'UNKNOWN_TYPE',
        self::C50 => 'C50',
        self::SURVEY_PLATFORM => 'SURVEY_PLATFORM',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

